std::lock_guard< _Mutex >(3cxx)

NAME
std::lock_guard< _Mutex > - A simple scoped lock type.

SYNOPSIS

#include <std_mutex.h>

  Public Types

typedef _Mutex mutex_type

  Public Member Functions

lock_guard (const lock_guard &)=delete
lock_guard (mutex_type &__m)
lock_guard (mutex_type &__m, adopt_lock_t) noexcept
lock_guard & operator= (const lock_guard &)=delete

Detailed Description

  template<typename _Mutex>
class std::lock_guard< _Mutex >"A simple scoped lock type.

A lock_guard controls mutex ownership within a scope, releasing ownership in the destructor.

Definition at line 153 of file std_mutex.h.

Member Typedef Documentation

  template<typename _Mutex > typedef _Mutex std::lock_guard< _Mutex >::mutex_type

Definition at line 156 of file std_mutex.h.

Constructor & Destructor Documentation

  template<typename _Mutex > std::lock_guard< _Mutex >::lock_guard (mutex_type & __m) [inline], [explicit]

Definition at line 158 of file std_mutex.h.

  template<typename _Mutex > std::lock_guard< _Mutex >::lock_guard (mutex_type & __m, adopt_lock_t) [inline], [noexcept]

Definition at line 161 of file std_mutex.h.

  template<typename _Mutex > std::lock_guard< _Mutex >::~lock_guard () [inline]

Definition at line 164 of file std_mutex.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.